Cyberduck Mountain Duck CLI

#7805 closed defect (fixed)

When no default editor is set, double-clicking to edit does nothing.

Reported by: ccharbonneau Owned by: yla
Priority: normal Milestone: 4.4.5
Component: core Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

In a fresh Windows install, double-clicking to edit a file seems to do nothing if there is no default editor. I was under the impression the intended functionality is to pick an editor from the Windows file associations.

To clarify, I am using a WebDAV connection to my server and attempted to open a Word document, by either double-clicking (I have edit on double-click set) or clicking the edit button in the toolstrip at the top. Selecting an editor from the drop down list works, but it would be much more desirable and convenient if it would attempt to choose the correct editor for me.

Attachments (1)

Untitled.png (14.1 KB) - added by ccharbonneau on Feb 21, 2014 at 3:54:55 PM.
log drawer of attempt to edit file

Download all attachments as: .zip

Change History (9)

Changed on Feb 21, 2014 at 3:54:55 PM by ccharbonneau

log drawer of attempt to edit file

comment:1 Changed on Feb 21, 2014 at 3:55:06 PM by dkocher

  • Milestone set to 4.5
  • Owner set to yla
  • Summary changed from Windows - When no default editor is set, double-clicking to edit does nothing. to When no default editor is set, double-clicking to edit does nothing.
  • Type changed from defect to enhancement

comment:2 Changed on Mar 26, 2014 at 12:40:16 PM by dkocher

We would expect the file to be opened in Notepad.exe which is the default fallback editor.

comment:3 follow-ups: Changed on Apr 9, 2014 at 6:23:32 PM by yla

What's your Word version? Office Starter Edition?

comment:4 in reply to: ↑ 3 Changed on Apr 9, 2014 at 7:15:59 PM by dkocher

Replying to yla:

What's your Word version? Office Starter Edition?

Possibly related to #6609.

comment:5 in reply to: ↑ 3 Changed on Apr 9, 2014 at 7:21:45 PM by ccharbonneau

Replying to yla:

What's your Word version? Office Starter Edition?

My version of Word is from Microsoft Office Professional Plus 2010.

comment:6 Changed on Jun 3, 2014 at 10:00:10 AM by dkocher

  • Milestone changed from 4.5 to 4.4.5

comment:7 Changed on Jun 5, 2014 at 8:43:24 AM by dkocher

  • Type changed from enhancement to defect

comment:8 Changed on Jun 5, 2014 at 1:18:35 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r14718.

Note: See TracTickets for help on using tickets.